function DumpToFile( data, fid, scaleFactor, nbits )

%%
% Arguments:
%   data        [vector, complex] samples to store to disk
%   fid         [file pointer] pointer to the file where to store the data
%   scaleFactor [scalar, positive] scale factor
%   nbits:      [8/16] number of bits to be used
%
% Returns:
%   Nothing.
%%

outputSamples = zeros(1, 2 * length(data) );
outputSamples( 1:2:end ) = real( data );
outputSamples( 2:2:end ) = imag( data );


if( nbits == 8 )
    qSamples = int8( scaleFactor * outputSamples );
    fwrite( fid, qSamples, 'int8' );
else
    qSamples = int16( scaleFactor * outputSamples );
    fwrite( fid, qSamples, 'int16' );    
end